Bug 420298 - Outline Selection Tool [shift]+[ctrl] kombo doesn't work
Summary: Outline Selection Tool [shift]+[ctrl] kombo doesn't work
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Selection (show other bugs)
Version: 4.2.9
Platform: Windows CE Microsoft Windows CE
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-19 10:46 UTC by Mariusz_M
Modified: 2022-02-23 14:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mariusz_M 2020-04-19 10:46:34 UTC
SUMMARY
When I add to selection with [shift] pressed I also press [ctrl] to temporarily switch to stright lines. But instead of adding the area selected with stright lines, I replace the previous selection. The kombo [shift]+[ctrl] seems to not work the way it did in Krita 4.2.0.

STEPS TO REPRODUCE
1. Select an area with Outline Selection Tool
2. Press [shift] alone to add to selection with free-hand line
3. Press [shift]+[ctrl] kombo to add to selection with stright lines
4. Release [ctrl] to finish selection with free-hand line

OBSERVED RESULT
Using [shitf]+[ctrl] results with "replace selection"

EXPECTED RESULT

Using [shift]+[ctrl] should result with "add to selection with stright lines"


SOFTWARE/OS VERSIONS
Windows: 10
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
The [shift]+[ctrl] kombo worked properly in Krita 4.2.0
Comment 1 Deif Lou 2022-02-23 14:57:12 UTC
Git commit 9fbd23bdd29d0463b650c67b3b79f41ec45bf87c by Deif Lou.
Committed on 23/02/2022 at 14:56.
Pushed by deiflou into branch 'master'.

Improve selection tools' use of modifiers
Related: bug 426523, bug 420737, bug 435848

M  +5    -0    libs/basicflakes/tools/KoCreatePathTool.cpp
M  +7    -0    libs/basicflakes/tools/KoCreatePathTool.h
M  +2    -0    libs/ui/tool/KisToolOutlineBase.cpp
M  +5    -16   libs/ui/tool/kis_tool_polyline_base.cpp
M  +0    -5    libs/ui/tool/kis_tool_polyline_base.h
M  +35   -10   libs/ui/tool/kis_tool_rectangle_base.cpp
M  +3    -3    libs/ui/tool/kis_tool_rectangle_base.h
M  +161  -68   libs/ui/tool/kis_tool_select_base.h
M  +7    -0    libs/ui/tool/kis_tool_shape.h
M  +34   -15   plugins/tools/selectiontools/KisToolSelectMagnetic.cc
M  +15   -3    plugins/tools/selectiontools/kis_tool_select_contiguous.cc
M  +1    -0    plugins/tools/selectiontools/kis_tool_select_contiguous.h
M  +11   -7    plugins/tools/selectiontools/kis_tool_select_elliptical.cc
M  +5    -17   plugins/tools/selectiontools/kis_tool_select_elliptical.h
M  +20   -8    plugins/tools/selectiontools/kis_tool_select_outline.cc
M  +5    -8    plugins/tools/selectiontools/kis_tool_select_outline.h
M  +13   -10   plugins/tools/selectiontools/kis_tool_select_path.cc
M  +3    -2    plugins/tools/selectiontools/kis_tool_select_path.h
M  +12   -3    plugins/tools/selectiontools/kis_tool_select_polygonal.cc
M  +4    -7    plugins/tools/selectiontools/kis_tool_select_polygonal.h
M  +13   -8    plugins/tools/selectiontools/kis_tool_select_rectangular.cc
M  +4    -11   plugins/tools/selectiontools/kis_tool_select_rectangular.h
M  +17   -4    plugins/tools/selectiontools/kis_tool_select_similar.cc
M  +1    -0    plugins/tools/selectiontools/kis_tool_select_similar.h

https://invent.kde.org/graphics/krita/commit/9fbd23bdd29d0463b650c67b3b79f41ec45bf87c